#header-container {
    background-color: #f2f2f2;
    border-color: #ccc;
    width: 100%;
    display: flex;
    align-items: left;
    justify-content: center;
    flex-direction: column;
}

#title {
    margin: 0px;
}

#search-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

#search-input {
    width: 300px;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

#search-button {
    margin-left: 10px;
    padding: 10px 20px;
    font-size: 16px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

#search-button:hover {
    background-color: #0056b3;
}

/* Graph Container */
#graph-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

#etymology-graph-container {
    width: 80%;
    height: 400px;
    border: 1px solid #ccc;
    border-radius: 4px;
    /* justify-content: center; */
}

#graph-layer {
    width: 100%;
    height: 100%;
    align-items:center;
    justify-content: right;
}

/* arrow line */
.graph-link {
    stroke: #999;
    stroke-width: 1.5px;
}

/* word node */
.graph-node {
    fill: #69b3a2;
    stroke: #333;
    stroke-width: 1.5px;
}

/* actual word in node */
.graph-node-label {
    /* font-size: 12px; */
    text-anchor: middle;
    fill: #737373;
}

/* arrow's label */
.graph-link-label {
    /* font-size: 10px; */
    text-anchor: middle;
    fill: #333;
}

.graph-node-label-text {
    /* font-size: 12px; */
    font-weight: bold;
    text-anchor: middle;
    fill: #333;
}

.graph-lang-label {
    /* font-size: 10px; */
    text-anchor: middle;
    fill: #333;
}

/* Phonology layer */
/* to be added */


#footer {
    background-color: #f2f2f2;
    display: flex;
    align-items: bottom;
    justify-content: center;
    padding: 10px 0;    
    width: 100%;
    margin-top: 1%;
}